Subject: Re: [MacVLAN] failure to deliver reassembled IPv6 multicast traffic

From: Vlad Yasevich <[email-masked]>
Date: Fri, 15 Feb 2013 21:25:24 -0500

On 02/15/2013 02:35 PM, Eric Dumazet wrote:
> On Fri, 2013-02-15 at 11:27 -0800, Ben Greear wrote:
>
>> For some reason I was thinking this wasn't fully fixed for IPv4, but
>> maybe it is..the bug in our internal tracker only mentions IPv6
>> as having issues...
>>
>> We'll do some testing on IPv4 sometime soon to make sure, and can test
>> IPv6 patches as well...
>
> This worries me a bit, as I wrote this patch because you reported the
> issue.
>
> commit bc416d9768aa9a2e46eb11354a9c58399dafeb01
> Author: Eric Dumazet <[email-masked]>
> Date:   Thu Oct 6 10:28:31 2011 +0000
>
>      macvlan: handle fragmented multicast frames
>
>      Fragmented multicast frames are delivered to a single macvlan port,
>      because ip defrag logic considers other samples are redundant.
>
>      Implement a defrag step before trying to send the multicast frame.
>
>      Reported-by: Ben Greear <[email-masked]>
>      Signed-off-by: Eric Dumazet <[email-masked]>
>      Signed-off-by: David S. Miller <[email-masked]>
>
>

Yep, IPv4 is there.  IPv6 is not and is a lot harder/more interesting 
since IPv6 may be disable, but reassembly may still need to work to
service the taps connected to VMs.  :(

The only reason I say this is because I've ran into too many people who
turn IPv6 off for "security reasons".

-vlad

>
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>